CollectionObjectStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.util, class: CollectionObjectStream

# Class CollectionObjectStream<E>

java.lang.Object
opennlp.tools.util.CollectionObjectStream<E>

Type Parameters:
  `E` - The generic type of the elements.

All Implemented Interfaces:
  `AutoCloseable, ObjectStream<E>`

public class CollectionObjectStream<E> extends Object implements ObjectStream<E>
An `ObjectStream` implementation that works on a `Collection` of `E` as source for elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionObjectStream(Collection<E> collection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Closes the `ObjectStream` and releases all allocated resources.
  `E`
  `read()`
  Returns the next `T` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionObjectStream

    public CollectionObjectStream(Collection<E> collection)

- ## Method Details

  - ### read

    public E read()
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<E>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.

  - ### reset

    public void reset()
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<E>`

  - ### close

    public void close()
    Description copied from interface: `ObjectStream`
    Closes the `ObjectStream` and releases all allocated resources. After close was called, it's not allowed to call `ObjectStream.read()` or `ObjectStream.reset()`.
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `ObjectStream<E>`